Option Strict On
Module Module1

    Sub Main()
        Dim line As String = "0,26; 348; 8,54; 7,33e-2; 2,55"
        Dim p As Integer
        Dim word As Double
        Dim sum As Double
        sum = 0
        For i As Integer = 1 To 4
            p = line.IndexOf(";")
            word = Double.Parse(line.Substring(0, p))
            sum = sum + word
            line = line.Substring(p + 1)
            Console.WriteLine("{0,10:E3}", word)
        Next i
        word = Double.Parse(line)
        Console.WriteLine("{0,10:E3}" & vbNewLine & "среднее значение = {1}", word, (sum + word) / 5)
        Console.ReadLine()
    End Sub

End Module

